DPD is one of Germany's leading parcel delivery solutions offering domestic and international shipping for shipments originating in Germany.
This guide provides developers with the details needed to build DPD Germany shipping capabilities into your ShipStation API workflows.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | This is a nickname for you to identify this carrier account in ShipStation API. |
username | string | required | Your DPD Germany account username. |
password | string | required | Your DPD Germany account password. |
- Before you can create live DPD labels through ShipStation API, you must contact your DPD account manager to let them know you intend to use ShipStation API and for instructions to create test labels.
- DPD must approve your test labels. Failure to get approval before you start shipping DPD parcels through ShipStation API could result in your account being suspended.
You can connect a DPD Germany account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.
For instructions on connect a DPD Germany account via the dashboard, visit our DPD Germany help article.
carrier_name: dpd_germany
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/dpd_germany HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My DPD DE Nickname",
"username": "My DPD DE username",
"password": "pa55word"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
DPD Germany does not send estimated rates to ShipStation API, and so does not support rate shopping. Your DPD account contact can provide you with the details about your contracted rates.
Available DPD Germany services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code |
|---|---|
| DPD Classic | dpd_classic |
| DPD Classic Small Parcel | freight_parcel_sunday |
| DPD B2C Predict | dpd_b2c_predict |
| DPD 8:30 | dpd_830 |
| DPD 12:00 | dpd_1200 |
| DPD 12:00 Saturday | dpd_1200_saturday |
| DPD 18:00 | dpd_1800 |
| DPD 18:00 ID Check | dpd_1800_id_check |
| DPD Max | dpd_max |
| DPD ParcelLetter | dpd_parcelletter |
| Service | API Code |
|---|---|
| DPD Classic | dpd_classic_international |
| DPD Express International | dpd_classic_small_parcel_international |
| DPD Classic Small Parcel | dpd_express_international |
| (NON-EU) DPD Classic | dpd_classic_non_eu |
| (NON-EU) DPD Classic Small Parcel | dpd_classic_small_non_eu |
| DPD B2C Predict | dpd_b2c_predict_international |
| DPD 18:00 | dpd_18_00_international |
| (NON-EU) DPD 18:00 | dpd_18_00_non_eu |
| (NON-EU) DPD B2C Predict | dpd_b2c_predict_non_eu |
DPD Germany supports creating return labels for their domestic services.
Review the Return Shipping Labels page for details on creating return labels with ShipStation API.
The following carrier package types are available for DPD Germany services:
| Name | API Code | Package Attributes |
|---|---|---|
| Standard | standard | International, Domestic |
DPD Germany does not support adding carrier insurance.
- Label sizes: 4" x 6"
- Label formats: PDF, ZPL
DPD Germany does not support adding custom label messages.
DPD Germany supports creating multi-package shipments with all of their available services.
DPD Germany does not support label branding.
DPD Germany does not support voiding labels with ShipStation API.
DPD Germany does not support paperless labels.
Customs declarations are printed directly on DPD Germany labels for international shipments.
| Confirmation Type | API Code | Description |
|---|---|---|
| None | none | When no confirmation is required. |
See our Delivery Confirmation page for more details about using the confirmation property.
DPD Germany does not support any advanced options.
DPD Germany does not require manifesting your shipments.
DPD Germany does not support scheduling pickups using ShipStation API.
DPD Germany does not support shipping to service points.
ShipStation API's integration with DPD Germany supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.